Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 1510351 - CVE-2017-14992 docker: Lack of content verification [fedora-all]
CVE-2017-14992 docker: Lack of content verification [fedora-all]
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: docker (Show other bugs)
26
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Lokesh Mandvekar
Fedora Extras Quality Assurance
: Security, SecurityTracking
Depends On:
Blocks: CVE-2017-14992
  Show dependency treegraph
 
Reported: 2017-11-07 04:31 EST by Andrej Nemec
Modified: 2018-01-17 11:18 EST (History)
13 users (show)

See Also:
Fixed In Version: docker-1.13.1-44.git584d391.fc26 docker-1.13.1-44.git584d391.fc27
Doc Type: Release Note
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-12-09 17:25:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andrej Nemec 2017-11-07 04:31:08 EST
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.
Comment 1 Andrej Nemec 2017-11-07 04:31:20 EST
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1510348,1510351

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new
Comment 2 Antonio Murdaca 2017-11-07 09:11:27 EST
Upstream already working on this at  https://github.com/moby/moby/issues/35075 and https://github.com/vbatts/tar-split/pull/42
Comment 5 Antonio Murdaca 2017-11-08 03:30:54 EST
CVE fix back ported to all docker branches, moving to POST for rebuild
Comment 8 Fedora Update System 2017-11-23 16:49:00 EST
docker-1.13.1-44.git584d391.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2017-15efa72a0c
Comment 9 Fedora Update System 2017-11-24 11:25:27 EST
docker-1.13.1-44.git584d391.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-3976710f1e
Comment 10 Fedora Update System 2017-11-24 19:37:44 EST
docker-1.13.1-44.git584d391.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-15efa72a0c
Comment 11 Fedora Update System 2017-11-24 20:35:58 EST
docker-1.13.1-44.git584d391.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-3976710f1e
Comment 12 Fedora Update System 2017-11-24 23:38:07 EST
docker-1.12.6-8.gitbe5610c.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7e5afe777a
Comment 13 Fedora Update System 2017-11-25 14:12:46 EST
docker-1.12.6-8.gitbe5610c.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7e5afe777a
Comment 14 Fedora Update System 2017-12-09 17:25:24 EST
docker-1.13.1-44.git584d391.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2018-01-17 11:18:38 EST
docker-1.13.1-44.git584d391.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.